Package org.lwjgl.opengles

# Class NVDepthNonlinear

java.lang.Object
org.lwjgl.opengles.NVDepthNonlinear

public final class NVDepthNonlinear extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`EGL_DEPTH_ENCODING_NONE_NV`
Accepted as a value in the <attrib_list> parameter of eglChooseConfig and eglCreatePbufferSurface, and returned in the <value> parameter of eglGetConfigAttrib:
`static final int`
`EGL_DEPTH_ENCODING_NONLINEAR_NV`
Accepted as a value in the <attrib_list> parameter of eglChooseConfig and eglCreatePbufferSurface, and returned in the <value> parameter of eglGetConfigAttrib:
`static final int`
`EGL_DEPTH_ENCODING_NV`
Accepted by the <attrib_list> parameter of eglChooseConfig, and by the <attribute> parameter of eglGetConfigAttrib:
`static final int`
`GL_DEPTH_COMPONENT16_NONLINEAR_NV`
Accepted as a valid sized internal format by all functions accepting sized internal formats with a base format of DEPTH_COMPONENT:

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_DEPTH_COMPONENT16_NONLINEAR_NV

public static final int GL_DEPTH_COMPONENT16_NONLINEAR_NV
Accepted as a valid sized internal format by all functions accepting sized internal formats with a base format of DEPTH_COMPONENT:

See Also:
  - Constant Field Values

### EGL_DEPTH_ENCODING_NV

public static final int EGL_DEPTH_ENCODING_NV
Accepted by the <attrib_list> parameter of eglChooseConfig, and by the <attribute> parameter of eglGetConfigAttrib:

See Also:
  - Constant Field Values

### EGL_DEPTH_ENCODING_NONE_NV

public static final int EGL_DEPTH_ENCODING_NONE_NV
Accepted as a value in the <attrib_list> parameter of eglChooseConfig and eglCreatePbufferSurface, and returned in the <value> parameter of eglGetConfigAttrib:

See Also:
  - Constant Field Values

### EGL_DEPTH_ENCODING_NONLINEAR_NV

public static final int EGL_DEPTH_ENCODING_NONLINEAR_NV
Accepted as a value in the <attrib_list> parameter of eglChooseConfig and eglCreatePbufferSurface, and returned in the <value> parameter of eglGetConfigAttrib:

See Also:
  - Constant Field Values